import * as ts from 'typescript';
export interface CompilerHost {
    getCompilerOptions(): ts.CompilerOptions;
    getSourceFile?(fileName: string, languageVersion: ts.ScriptTarget, onError?: (message: string) => void, shouldCreateNewSourceFile?: boolean): ts.SourceFile | undefined;
    createTypescriptCompilerHost(compilerOptions: ts.CompilerOptions): ts.CompilerHost;
}
export declare function createCompilerHost(): CompilerHost;
//# sourceMappingURL=compiler-host.d.ts.map