import * as kolint from '..';
interface Options {
    /** Output directory, works similarly to tsconfig's outDir. */
    out?: string | boolean;
    /** TS output file extension, should start with dot. */
    outExt?: string;
    /** Wether to output sourceMaps */
    sourceMap?: boolean;
}
/** Options exclusive to config file. See options. */
export interface ConfigOptions extends Options {
    /** Severity for rules. Map with the key with the diagnostic name or code and the value as 'off', 'warning' or 'error'. */
    severity?: {
        [key: string]: 'off' | 'warn' | 'warning' | 'error' | kolint.Severity;
    };
    /** Is root config. */
    root?: boolean;
}
export {};
//# sourceMappingURL=index.d.ts.map