"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createCompilerHost = void 0;
const ts = __importStar(require("typescript"));
const path = __importStar(require("path"));
function createCompilerHost() {
    return {
        getCompilerOptions() {
            const configPath = process.cwd();
            const configFileName = ts.findConfigFile(configPath, (p) => ts.sys.fileExists(path.resolve(configPath, p)));
            let compilerOptions;
            if (configFileName) {
                const configFile = ts.readConfigFile(configFileName, (path, encoding) => ts.sys.readFile(path, encoding));
                const args = ts.parseJsonConfigFileContent(configFile.config, ts.sys, './');
                compilerOptions = args.options;
            }
            else {
                compilerOptions = {};
            }
            return compilerOptions;
        },
        createTypescriptCompilerHost(compilerOptions) {
            return ts.createCompilerHost(compilerOptions);
        }
    };
}
exports.createCompilerHost = createCompilerHost;
//# sourceMappingURL=compiler-host.js.map