export { Diagnostic, Severity, diagnostics, DiagnosticDescription } from './diagnostic';
export { createProgram, Program, Reporting } from './program';
export { utils } from './utils';
export { ConfigOptions } from './cli';
export { Compiler, createCompiler } from './compiler';
export { CompilerHost, createCompilerHost } from './compiler/compiler-host';
export { parse } from './parser';
export { createDocument } from './parser/document-builder';
export { Coordinates, Location, Position } from './parser/location';
export * from './parser/syntax-tree';
//# sourceMappingURL=index.d.ts.map