import { Location } from './location';
import { Binding } from './syntax-tree';
import { Reporting } from '../program';
export declare class ImportStatement {
    location: Location;
    path: string;
    name?: string | undefined;
    isDefault: boolean;
    getValue(path: string): string;
    constructor(location: Location, path: string, name?: string | undefined);
}
export declare function isParentBinding(binding: Binding): boolean;
export declare function parseBindingExpression(filePath: string, reporting: Reporting, data: string, loc: Location): Binding[];
//# sourceMappingURL=compile-bindings.d.ts.map